Install Ubunto run file

This forum is dedicated to basic help and support :

Ask here your questions about basic installation and usage of Mageia. For example you may post here all your questions about getting Mageia isos and installing it, configuring your printer, using your word processor etc.

Try to ask your questions in the right sub-forum with as much details as you can gather. the more precise the question will be, the more likely you are to get a useful answer

Install Ubunto run file

Postby kernow » Jul 14th, '18, 15:01

Hi, Any ideas how I can install a Ubunto .run file? 'Alien' can't do it so I'm stuck. Its a 'Devolo Cockpit' software and they only have windoz Mac or Ubunto https://www.devolo.com/en/dLAN-software ... figuration
kernow
 
Posts: 55
Joined: Mar 21st, '13, 22:29

Re: Install Ubunto run file

Postby doktor5000 » Jul 14th, '18, 20:01

A .run file is not something specific to "Ubunto" (you probably mean Ubuntu). You just need to make it executable and then run it
Code: Select all
chmod +x somefile.run
./somefile.run
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 17630
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany

Re: Install Ubunto run file

Postby kernow » Jul 14th, '18, 20:12

Thanks for answering! That's what I thought but:
Code: Select all
./software-devolo-cockpit-linux-v4-3-3.run
Error: this system does not have apt-get, cannot install.
kernow
 
Posts: 55
Joined: Mar 21st, '13, 22:29

Re: Install Ubunto run file

Postby morgano » Jul 15th, '18, 00:45

It seems it wants to install additional packages, and is made to use apt-get for that :/
It is possible we have the packages/files it needs already but under other name/path.
Can you open/view the .run file as text and see what it wants and tries to do? (the first part of a .run it is often bash script)
Mandriva since 2006, Mageia 2011 at home & work. Thinkpad T40, T43, T400, T510, Dell M4400, M6300, Acer Aspire 7. Workstation using LVM, LUKS, VirtualBox, BOINC
morgano
 
Posts: 1306
Joined: Jun 15th, '11, 17:51
Location: Kivik, Sweden

Re: Install Ubunto run file

Postby kernow » Jul 15th, '18, 03:06

Hi,
Well I open it up in a text editor and most of it is in unreadable code but the first part reads:
Code: Select all
#!/bin/sh
set -e

if [ ! -x "$(which dpkg 2>/dev/null)" ]; then
  echo "Error: this system does not have dpkg, cannot install."
  exit 1
fi

if [ ! -x "$(which apt-get 2>/dev/null)" ]; then
  echo "Error: this system does not have apt-get, cannot install."
  exit 1
fi

arch=$(dpkg --print-architecture)

if [ "$arch" != "i386" ] && [ "$arch" != "amd64" ]; then
  echo "Error: architecture $arch not supported, cannot install."
  exit 1
fi

result=0
skip=$(grep -a -m1 -n "HERE_BE_DRAG[O]NS" $0 | cut -d: -f1)
tmpdir=$(mktemp -d -p .)

packages="$tmpdir/adobeair_*_$arch.deb $tmpdir/devolo-dlan-cockpit_*_$arch.deb"

if [ "$(dpkg --print-foreign-architectures|grep -o "\<i386\>")" = "i386" ] &&
  ! ( apt-cache dumpavail | grep -q "^\(Package: ia32-libs-gtk$\|Provides:.* ia32-libs-gtk\(, .*\|$\)\)" ); then
  packages="$packages $tmpdir/devolo-ia32-libs_*_i386.deb"
fi

if ! tail $0 -n +$((skip+1)) | tar -x -C $tmpdir; then
  echo "Error: failed to extract files, installer may be corrupted. Please download again."
  result=2
elif ! ( cd $tmpdir; md5sum -c md5sums.txt >/dev/null ); then
  echo "Error: failed to verify files, installer may be corrupted. Please download again."
  result=2
elif ! ( dpkg -GEi $packages || apt-get install -fy ); then
  echo "Error: installation failed. Remember you must be root or using sudo to install software."
  result=3
fi

rm -rf $tmpdir
exit $result

HERE_BE_DRAGONS
md5sums.txted08bcb27ec71bf563f7a82a5cafc37b  adobeair_2.6.0.19170-devolo1_i386.deb
48fd4eebc3c7ad48f58d489a841bcecc  devolo-dlan-cockpit_4.3.3-0_amd64.deb
fd778f2f72bb3a59a6710e5901660368  devolo-dlan-cockpit_4.3.3-0_i386.deb
7fe1e9174fcf5645929d858ca0dd0b00  devolo-ia32-libs_1_i386.deb
kernow
 
Posts: 55
Joined: Mar 21st, '13, 22:29

Re: Install Ubunto run file

Postby morgano » Jul 17th, '18, 01:43

The unreadable code is the four .deb files listed at the end of the text you posted, packed together
I am not good enough to quickly tell how to extract them, but if you try you have the checksums listed to check them.
And then on the debs run alien.

Better ask the developers to supply the .deb separately instead as a kludge like this...

Even better suggest them to provide appimage :)
https://wiki.mageia.org/en/Ways_to_inst ... s#Appimage
Mandriva since 2006, Mageia 2011 at home & work. Thinkpad T40, T43, T400, T510, Dell M4400, M6300, Acer Aspire 7. Workstation using LVM, LUKS, VirtualBox, BOINC
morgano
 
Posts: 1306
Joined: Jun 15th, '11, 17:51
Location: Kivik, Sweden

Re: Install Ubunto run file

Postby kernow » Jul 17th, '18, 09:06

Hi,
I didn't post the unreadable code, as it was encrypted :)
Thanks for the help and advice.
kernow
 
Posts: 55
Joined: Mar 21st, '13, 22:29


Return to Basic support

Who is online

Users browsing this forum: No registered users and 1 guest

cron